# 32/64bit spec-file
#
%define name	pithos
%define version 0.3.17
%define release %mkrel 1

Summary:	Pandora Radio client for the GNOME desktop
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.xz
License:	GNU GPLv3+
Group:		Sound
Url:		http://kevinmehall.net/p/pithos/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires: pyxdg
Requires: python-gobject
Requires: python-notify
Requires: pygtk2.0
Requires: python-dbus
Requires: gstreamer0.10-plugins-good
Requires: gstreamer0.10-plugins-bad
Requires: gstreamer0.10-python
Obsoletes: %{name} < %version

%description
Pithos is a cross-platform desktop client for the personalized web
radio Pandora, supporting all important features the official Flash™
client has. 

Pithos was based on pianobar, a console client for Pandora. In addition
to sporting a GTK+ GUI, Pithos has feature-parity with pianobar.

Out of concern for the longevity of Pandora Media Inc., the 
software authors would recommend subscribing to Pandora One.

You need an account in order to use this player, so please consider
create one for free before using pianobar at http://pandora.com.


%prep
%setup -q


%install
#no build workaround
rm -rf %{buildroot}
install -dm 755 %{buildroot}/%{_datadir}/%{name}/
cp -R {bin,data,pithos} \
%{buildroot}/%{_datadir}/%{name}/
install -dm 755 %{buildroot}/%{_iconsdir}/hicolor/scalable/apps/
install -m 644 data/icons/scalable/apps/*.svg \
%{buildroot}/%{_iconsdir}/hicolor/scalable/apps/
install -dm 755 %{buildroot}/%{_datadir}/applications
install -m 755 *.desktop \
%{buildroot}/%{_datadir}/applications

rm -rf %{buildroot}/%{_datadir}/%{name}/data/icons 

mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_datadir/%{name}/bin/
./%{name}
cd /
EOF
chmod a+x %{buildroot}%{_bindir}/%{name}



#MENU Entry
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/*.svg
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/*
 


%changelog
* Wed Jan 09 2013 Ken <lxgator at gmail.com> 0.3.17-1pclos2013
- 0.3.17

* Thu Dec 29 2011 Texstar <texstar at gmail.com> 0.3.14-1pclos2011
- 0.3.14

* Mon Nov 14 2011 Texstar <texstar at gmail.com> 0.3.13-1pclos2011
- 0.3.13
